CREATE TABLE cjm_volume_summary (
    VOLUME_SUMMARY_ID         NUMBER(18, 0) ,
    PROGRAM_HEADER_ID         NUMBER(18, 0) ,
    TIER_HEADER_ID            NUMBER(18, 0) ,
    INDIVIDUAL_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    INDIVIDUAL_ID             NUMBER(18, 0)     NOT NULL,
    VOLUME                    NUMBER            NOT NULL,
    TIER_ADJ_NEEDED_FLAG      VARCHAR2(4)   ,
    TIER_ADJ_UPTO_DATE        DATE          ,
    VOLUME_TYPE               VARCHAR2(120) ,
    VOLUME_UNIT_CODE          VARCHAR2(60)  ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    VOLUME_SUMMARY_ID         NUMBER(18, 0) ,
    PROGRAM_HEADER_ID         NUMBER(18, 0) ,
    TIER_HEADER_ID            NUMBER(18, 0) ,
    INDIVIDUAL_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    INDIVIDUAL_ID             NUMBER(18, 0)     NOT NULL,
    VOLUME                    NUMBER            NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    TIER_ADJ_NEEDED_FLAG      VARCHAR2(4)   ,
    TIER_ADJ_UPTO_DATE        DATE          ,
    VOLUME_TYPE               VARCHAR2(120) ,
    VOLUME_UNIT_CODE          VARCHAR2(60)  ,
    CONSTRAINT pk_cjm_volume_summary PRIMARY KEY (VOLUME_SUMMARY_ID, VOLUME_SUMMARY_ID)
);
